Gitweb:
https://git.exim.org/exim.git/commitdiff/75a647cb59e04896e04296c767763df72352a08e
Commit: 75a647cb59e04896e04296c767763df72352a08e
Parent: cfeaa009b9b407d8b404438afbf4c5d85d61e8c1
Author: Jeremy Harris <jgh146exb@???>
AuthorDate: Sat Mar 4 23:27:14 2023 +0000
Committer: Jeremy Harris <jgh146exb@???>
CommitDate: Sun Mar 5 12:49:33 2023 +0000
Testsuite: split bounce longline testcase int with/out DSN-info variants
---
test/confs/{0635 => 0997} | 2 +-
test/confs/0998 | 1 +
test/log/{0635 => 0997} | 0
test/log/{0635 => 0998} | 0
test/runtest | 10 +++++-----
test/scripts/{0000-Basic/0635 => 0997-no-DSN-info/0997} | 0
test/scripts/0997-no-DSN-info/REQUIRES | 1 +
test/scripts/{0000-Basic/0635 => 0998-DSN-info/0998} | 0
test/scripts/0998-DSN-info/REQUIRES | 1 +
test/stdout/{0635 => 0997} | 16 ----------------
test/stdout/{0635 => 0998} | 0
11 files changed, 9 insertions(+), 22 deletions(-)
diff --git a/test/confs/0635 b/test/confs/0997
similarity index 92%
rename from test/confs/0635
rename to test/confs/0997
index 3c8a68708..fbbbcbcc2 100644
--- a/test/confs/0635
+++ b/test/confs/0997
@@ -1,4 +1,4 @@
-# Exim test configuration 0635
+# Exim test configuration 0997
.include DIR/aux-var/std_conf_prefix
diff --git a/test/confs/0998 b/test/confs/0998
new file mode 120000
index 000000000..c76cbfaaf
--- /dev/null
+++ b/test/confs/0998
@@ -0,0 +1 @@
+0997
\ No newline at end of file
diff --git a/test/log/0635 b/test/log/0997
similarity index 100%
copy from test/log/0635
copy to test/log/0997
diff --git a/test/log/0635 b/test/log/0998
similarity index 100%
rename from test/log/0635
rename to test/log/0998
diff --git a/test/runtest b/test/runtest
index 82ae480ce..64a8e7f37 100755
--- a/test/runtest
+++ b/test/runtest
@@ -4051,10 +4051,10 @@ DIR: for (my $i = 0; $i < @test_dirs; $i++)
{
if (!defined $parm_malware{$1}) { $wantthis = 0; last; }
}
- elsif (/^feature (.*)$/)
+ elsif (/^(not )?feature (.*)$/)
{
# move to a subroutine?
- my $eximinfo = "$parm_exim -C $parm_cwd/test-config -DDIR=$parm_cwd -bP macro $1";
+ my $eximinfo = "$parm_exim -C $parm_cwd/test-config -DDIR=$parm_cwd -bP macro $2";
open (IN, "$parm_cwd/confs/0000") ||
tests_exit(-1, "Couldn't open $parm_cwd/confs/0000: $!\n");
@@ -4069,10 +4069,10 @@ DIR: for (my $i = 0; $i < @test_dirs; $i++)
close(OUT);
system($eximinfo . " >/dev/null 2>&1");
- if ($? != 0) {
- unlink("$parm_cwd/test-config");
+ if (!defined $1 && $? != 0 || defined $1 && $? == 0) {
$wantthis = 0;
- $_ = "feature $1";
+ unlink("$parm_cwd/test-config");
+ $_ = "$1feature $2";
last;
}
unlink("$parm_cwd/test-config");
diff --git a/test/scripts/0000-Basic/0635 b/test/scripts/0997-no-DSN-info/0997
similarity index 100%
copy from test/scripts/0000-Basic/0635
copy to test/scripts/0997-no-DSN-info/0997
diff --git a/test/scripts/0997-no-DSN-info/REQUIRES b/test/scripts/0997-no-DSN-info/REQUIRES
new file mode 100644
index 000000000..8157857bb
--- /dev/null
+++ b/test/scripts/0997-no-DSN-info/REQUIRES
@@ -0,0 +1 @@
+not feature _HAVE_DSN_INFO
diff --git a/test/scripts/0000-Basic/0635 b/test/scripts/0998-DSN-info/0998
similarity index 100%
rename from test/scripts/0000-Basic/0635
rename to test/scripts/0998-DSN-info/0998
diff --git a/test/scripts/0998-DSN-info/REQUIRES b/test/scripts/0998-DSN-info/REQUIRES
new file mode 100644
index 000000000..c7948c5e1
--- /dev/null
+++ b/test/scripts/0998-DSN-info/REQUIRES
@@ -0,0 +1 @@
+feature _HAVE_DSN_INFO
diff --git a/test/stdout/0635 b/test/stdout/0997
similarity index 80%
copy from test/stdout/0635
copy to test/stdout/0997
index 3d494c0c5..aead5bb2f 100644
--- a/test/stdout/0635
+++ b/test/stdout/0997
@@ -63,22 +63,6 @@ Action: failed
Final-Recipient: rfc822;fred@???
Status: 5.0.0
Remote-MTA: dns; 127.0.0.1
-Remote-MTA: X-ip; [127.0.0.1]:1111
-X-Exim-Diagnostic: X-str; SMTP error from remote mail server after RCPT
- TO:<fred@???>: 550-no mate
- 550-123456789 100 123456789 a really long line to blow the limits
- 123456789 123456789 123456789 123456789 200 123456789 123456789
- 123456789 123456789 123456789 123456789 123456789 123456789 123456789 300
- 123456789 123456789 123456789 123456789 123456789 123456789 123456789
- 123456789 123456789 400 123456789 123456789 123456789 123456789
- 123456789 123456789 123456789 123456789 123456789 500 123456789
- 123456789 123456789 123456789 123456789 123456789 123456789 123456789
- 123456789 600 123456789 123456789 123456789 123456789 123456789
- 123456789 123456789 123456789 123456789 700 123456789 123456789
- 123456789 123456789 123456789 123456789 123456789 123456789 123456789 800
- 123456789 123456789 123456789 123456789 123456789 123456789 123456789
- 123456789 123456789 900 123456789 123456789 123456789 123456789
- 123456789 123456789 123456789 123456789 123456789 1000 123456789 12
Diagnostic-Code: smtp; 550-no mate
550-123456789 100 123456789 a really long line to blow the limits 123456789 123456789 123456789 123456789 200 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 300 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 400 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 500 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 600 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 700 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 800 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 900 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789 1[truncated]
diff --git a/test/stdout/0635 b/test/stdout/0998
similarity index 100%
rename from test/stdout/0635
rename to test/stdout/0998